# Debuginfo is not useful for OCaml programs since gdb doesn't know about OCaml
%define debug_package %{nil}

Summary:        Collection of tools for translating from BibTeX to HTML
Name:           bibtex2html
Version:        1.99
Release:        %mkrel 4
License:        GPLv2
Group:          Publishing
Url:            http://www.lri.fr/~filliatr/bibtex2html/
Source0:        http://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  perl
BuildRequires:  latex
BuildRequires:  hevea
BuildRequires:  texlive-collection-basic
BuildRequires:  texlive-dist


%description
bibtex2html is a collection of tools for translating from BibTeX to HTML.
They allow to produce, from a set of bibliography files in BibTeX format,
a bibliography in HTML format.

%prep
%setup -q
%autopatch -p1
# Removing unused lib from makefile
sed -i 's/-cclib -lstr//' Makefile.in


%build
%configure
%make_build


%install
%make_install BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}


%files
%doc CHANGES README GPL COPYING manual.pdf manual.html
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.99-4.mga9
+ Revision: 1839767
- Mageia 9 Mass Rebuild

* Thu Mar 05 2020 daviddavid <daviddavid> 1.99-3.mga8
+ Revision: 1554106
- fix for ocaml 4.06.0 no more needed for ocaml 4.10.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 1.99-2.mga7
+ Revision: 1295417
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.99-1.mga7
+ Revision: 1211603
- Update to version 1.99

* Tue Feb 13 2018 daviddavid <daviddavid> 1.98-8.mga7
+ Revision: 1200766
- add patch to use a better fix for ocaml 4.06.0

* Mon Feb 12 2018 daviddavid <daviddavid> 1.98-7.mga7
+ Revision: 1200698
- option '-unsafe-string' is required with ocaml 4.06.0

* Sun Sep 25 2016 pterjan <pterjan> 1.98-6.mga6
+ Revision: 1056199
- Rebuild for fix in ocaml

* Wed Feb 10 2016 umeabot <umeabot> 1.98-5.mga6
+ Revision: 953249
- Mageia 6 Mass Rebuild
+ tv <tv>
- explain

* Wed Sep 09 2015 neoclust <neoclust> 1.98-4.mga6
+ Revision: 875084
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.98-3.mga5
+ Revision: 743101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.98-2.mga5
+ Revision: 678148
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 malo <malo> 1.98-1.mga5
+ Revision: 666118
- update to 1.98

* Tue Dec 31 2013 dmorgan <dmorgan> 1.97-5.mga4
+ Revision: 563429
- Fix Buildrequires with new texlive

* Tue Oct 22 2013 umeabot <umeabot> 1.97-4.mga4
+ Revision: 541780
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 malo <malo> 1.97-3.mga4
+ Revision: 488773
- compile with ocaml-compiler

* Fri Jan 11 2013 umeabot <umeabot> 1.97-2.mga3
+ Revision: 346900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 shlomif <shlomif> 1.97-1.mga3
+ Revision: 248829
- New version: 1.97

* Sun Nov 06 2011 malo <malo> 1.96-2.mga2
+ Revision: 164201
- bump mkrel
- cleanup the install section by removing useless perl substitution.

* Sat Nov 05 2011 malo <malo> 1.96-1.mga2
+ Revision: 163903
- imported package bibtex2html

